Bug 1395812 - Defaults in Overcloud and Undercloud shouldn't fail in validations
Summary: Defaults in Overcloud and Undercloud shouldn't fail in validations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Ana Krivokapic
QA Contact: Udi
URL:
Whiteboard: NeedsAllocation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 18:10 UTC by Ramon Acedo
Modified: 2018-06-27 13:28 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-validations-8.1.1-0.20180119231917.2ff3c79.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:26:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 391359 None master: MERGED tripleo-validations: Change HAProxy timeouts to match the defaults (I1bdf62a0e984d1c3b6ea63e8678b0dc88d0c2caf) 2018-02-07 13:57:08 UTC
OpenStack gerrit 525173 None master: MERGED tripleo-validations: Change HAProxy validation queue timeout to match the default (Ia927de19a1f795aa06c0671b3133ca191be4... 2018-02-07 13:57:02 UTC
OpenStack gerrit 525179 None master: MERGED tripleo-validations: Change controller ulimit to match the default (I7053ea0f56fa620ddccc8dcbc31f6cc98249abc1) 2018-02-07 13:56:56 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:28:35 UTC

Description Ramon Acedo 2016-11-16 18:10:25 UTC
Currently some validations fail in OSP 10 deployments deployed with defaults, for example:

[stack@undercloud-4 validations]$ run-validation /usr/share/openstack-tripleo-validations/validations/controller-ulimits.yaml ~/.ssh/id_rsa overcloud
Task 'Check nofiles limit' failed:
Host: 192.168.3.17
Message: nofiles is set to 1024.  It should be at least 2048 or higher, depending on available resources.


Task 'Check nofiles limit' failed:
Host: 192.168.3.9
Message: nofiles is set to 1024.  It should be at least 2048 or higher, depending on available resources.


Task 'Check nofiles limit' failed:
Host: 192.168.3.13
Message: nofiles is set to 1024.  It should be at least 2048 or higher, depending on available resources.


Failure! The validation failed for the following hosts:
* 192.168.3.13
* 192.168.3.17
* 192.168.3.9

This raises the question of the need to either change the default values that make the validations fail or change the validations themselves to match our defaults to avoid the perception that our defaults don't follow our best practices.

I'm filling this BZ against openstack-tripleo-validations but obviously the changes might need to happen in openstack-tripleo-heat-templates for those defaults that need to be changed in the templates to match our recommendations in the openstack-tripleo-validations.

Comment 1 Mohammed Salih 2017-02-21 08:43:34 UTC
We are having the same kind of issue here with haproxy configuration validation. As per validation, it is supposed to have default timeouts for queue, client and server to be 1 minutes, but a recent change in newton defaults the configuration 2 minutes instead. 

So I believe this time it is the validation that needs to be updated. 

On a related note, I feel the whole point of having these tests, especially those related to having configurations correct is like shooting own foot - having an automated deployment, which is supposed to set recommended configurations and then on the other hand validation process says that those are not good.

Comment 7 Ana Krivokapic 2017-12-13 15:13:43 UTC
I believe there's still work to be done here, we have fixed some instances of the defaults mismatch, but not all.

Comment 8 Beth White 2018-01-23 16:19:43 UTC
Decision made to move this bug to POST as further cases have not been found and that could lead to this becoming an un-closeable bug. As further instances are found in the future, bugs will be opened to address them.

Comment 10 Udi 2018-05-22 08:30:48 UTC
This validator now passes, although others still fail with their defaults. Marking as verified: 
openstack-tripleo-heat-templates-8.0.2-22.el7ost.noarch
openstack-tripleo-validations-8.4.1-5.el7ost.noarch

Comment 12 errata-xmlrpc 2018-06-27 13:26:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.